HomeAPI ReferenceNFTsGet Collection NFT
GET/tokenization/token/{securityTokenId}/items/{nftTokenId}

Get Collection NFT

Outcome - Returns one NFT of a collection you created, by its on-chain token ID.

Path Parameters

securityTokenIdnumber

Collection (token) ID

nftTokenIdstring

On-chain token ID of the NFT

Responses

Response attributes

messagestring

Success message

dataobject

The NFT

Show child attributes (9)
assetIdnumber

Asset ID of the NFT collection

securityTokenIdnumber | null

ID of the collection created with the Tokens API (null if the NFT comes from an outside collection)

nftTokenIdstring

On-chain token ID of this NFT inside its collection

holderAddressstring

Address that currently holds the NFT

holderWalletIdnumber | null

RoxCustody wallet ID of the holder, or null if the holder is outside RoxCustody

metadataUrlstring | null

URL of the NFT metadata (JSON)

statestring

MINTED or BURNED

createdAtstring

When RoxCustody first saw the NFT

updatedAtstring

Last change (for example a transfer)

statusnumber

HTTP status code

Was this page helpful?